Subject: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2

From: Philipp Stephani <[email-masked]>
Date: Sun, 26 Jan 2020 15:44:41 +0100

Am Fr., 29. Nov. 2019 um 13:42 Uhr schrieb Stefan Kangas <[email-masked]>:
>
> Philipp Stephani <[email-masked]> writes:
>
> > Nope, it hasn't. It's just that the middle button of my touchpad
> > generates they KeyPress event on key release (!). With a different
> > mouse the behavior is as described: In GEdit and Gnome Terminal,
> > pasting happens on key press; in Emacs it happens on key release.
>
> My mouse generates KeyPress event when I click the middle mouse
> button, and the KeyRelease event when I release it.  X applications
> paste on KeyRelease here.  So I'm not sure what is going on here.

For the touchpad it's just a driver/hardware issue, nothing specific to Emacs.
Which GTK+ application did you check? As said, at least for me GEdit
and Gnome Terminal consistently paste on key press.

>
> What does xev say happens when you click the mouse button in the
> second case?

IIRC it was as I described: KeyPress event on pressing the button,
KeyRelease when releasing it.